std::hash< unique_ptr< _Tp, _Dp > > Struct Template Reference
Pointer Abstractions

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const unique_ptr< _Tp, _Dp > &__u) const noexcept

## Detailed Description

### template<typename _Tp, typename _Dp>
struct std::hash< unique_ptr< _Tp, _Dp > >

std::hash specialization for unique_ptr.

Definition at line 734 of file unique_ptr.h.

The documentation for this struct was generated from the following file:

- unique_ptr.h